body {
  margin: 0;
  padding: 0;
  background-image: url();
  background-repeat: no-repeat;
  background-size: contain;
  background-position: bottom left;
  overflow: hidden;
  font-family: "Karla", sans-serif;
  height: 100%;
  position: relative;
  min-height: 100vh;
  background-color: #f9f9f9;
}

/*global*/
.container {
  overflow: hidden;
  display: block;
  position: relative;
}
.content {
}

/*content*/
#first {
  background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
  height: 95vh;
  position: relative;
  z-index: 1;
  overflow: hidden;
}

/*stc*/
#stc {
  margin: auto;
}
#stc h1 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-family: "Oswald", sans-serif;
  font-size: 50px;
  text-align: center;
  color: #43536d;
}
#stc img {
  margin: 20px auto auto auto;
  display: block;
}

/*description type effect*/
.typewriter p {
  width: 510px;
  text-align: center;
  color: #616161;
  font-weight: bold;
  font-size: 18px;
  font-family: "Karla", sans-serif;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: 0.15em solid orange; /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 10px auto 20px auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: 0.05em; /* Adjust as needed */
  animation: typing 3.5s steps(30, end), blink-caret 0.5s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 35%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: orange;
  }
}

@media screen and (max-width: 600px) {
  .typewriter p {
    width: 400px;
    font-size: 14px;
  }

  @keyframes typing {
    from {
      width: 0;
    }
    to {
      width: 80%;
    }
  }
}

@media screen and (max-width: 900px) {
  @keyframes typing {
    from {
      width: 0;
    }
    to {
      width: 60%;
    }
  }
}

/*search*/
#search {
}

form.example input[type="text"] {
  padding: 10px;
  font-size: 17px;
  border: 1px solid grey;
  float: left;
  width: 80%;
  background: white;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  font-family: "Karla", sans-serif;
}

form.example button {
  float: left;
  width: 20%;
  padding: 10px;
  background: #ffb347; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #ffcc33,
    #ffb347
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #ffcc33,
    #ffb347
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

  color: white;
  font-size: 17px;
  border: 1px solid grey;
  border-left: none;
  cursor: pointer;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

form.example button:hover {
  background: #ffb347; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #e2b52d,
    #e49f40
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #e2b52d,
    #e49f40
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  box-shadow: 6px 6px 6px 1px rgba(196, 193, 193, 0.9);
}

form.example::after {
  content: "";
  clear: both;
  display: table;
}

@media screen and (max-width: 900px) {
  form.example input[type="text"] {
    width: 70%;
    margin-left: 30px;
  }
  form.example button {
    width: 15%;
    margin-right: 30px;
  }
}

/*subjects*/
#subjects {
  margin: 30px;
  text-align: center;
}
#subjects label {
  font-family: "Oswald", sans-serif;
  font-size: 20px;
  color: #43536d;
}
#btn {
  background-color: #43536d;
  border: none;
  border-radius: 8px;
  color: white;
  padding: 5px 8px;
  font-size: 15px;
  cursor: pointer;
  font-weight: normal;
  font-family: "Karla", sans-serif;
  margin: 3px;
  box-shadow: 0 6px 6px -5px rgba(0, 0, 0, 0.9);
}
#btn:hover {
  background-color: #1f2a3d;
  box-shadow: 3px 6px 12px #1f2a3d;
  transform: translateY(-5px);
  transition-duration: 0.25s;
}
/*see all*/
#btn2 {
  background-color: transparent;
  border: 3px solid #c29d2d;
  border-radius: 8px;
  color: #c29d2d;
  padding: 5px 8px;
  font-size: 20px;
  cursor: pointer;
  font-weight: normal;
  font-family: "Oswald", sans-serif;
  box-shadow: 0 2px 2px -2px rgba(0, 0, 0, 0.5);
}
#btn2:hover {
  background-color: #a88d38;
  box-shadow: 3px 6px 12px #a88d38;
  transform: translateY(-9px);
  transition-duration: 0.25s;
  color: white;
  border: 3px solid transparent;
  padding: 5px 8px;
}

/*mouse scroll icon*/
.mouse-icon {
  border: 2px solid #43536d;
  border-radius: 16px;
  height: 40px;
  width: 24px;
  display: block;
  z-index: 10;
  opacity: 0.7;
  margin: 75px auto 0 auto;
}
.mouse-icon .wheel {
  -webkit-animation-name: drop;
  -webkit-animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-delay: 0s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-play-state: running;
  -webkit-animation-name: drop;
  animation-name: drop;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-play-state: running;
  animation-play-state: running;
}
.mouse-icon .wheel {
  position: relative;
  border-radius: 10px;
  background: #43536d;
  width: 2px;
  height: 6px;
  top: 4px;
  margin-left: auto;
  margin-right: auto;
}
@-webkit-keyframes drop {
  0% {
    top: 5px;
    opacity: 0;
  }
  30% {
    top: 10px;
    opacity: 1;
  }
  100% {
    top: 25px;
    opacity: 0;
  }
}
@keyframes drop {
  0% {
    top: 5px;
    opacity: 0;
  }
  30% {
    top: 10px;
    opacity: 1;
  }
  100% {
    top: 25px;
    opacity: 0;
  }
}

/*section*/
#section {
  position: relative;
}
#section h2 {
  float: center;
  margin-top: 30px;
  font-weight: bold;
  font-family: "Oswald", sans-serif;
  color: #a88d38;
}
#desc {
  font-family: Karla;
  text-align: justify;
  font-size: 16px;
  margin: 20px 90px 0 90px;
}

/*stem a and b*/
#btn3 {
  background-color: transparent;
  border: 3px solid #c29d2d;
  border-radius: 8px;
  color: #c29d2d;
  padding: 5px 8px;
  font-size: 18px;
  cursor: pointer;
  font-weight: normal;
  font-family: "Oswald", sans-serif;
  box-shadow: 0 2px 2px -2px rgba(0, 0, 0, 0.5);
  margin: 10px 15px;
}
#btn3:hover {
  background-color: #a88d38;
  box-shadow: 3px 6px 12px #a88d38;
  transform: translateY(-9px);
  transition-duration: 0.25s;
  color: white;
  border: 3px solid transparent;
  padding: 5px 8px;
}

/*researches*/
.researches {
  margin: 30px 120px;
}
.researches h3 {
  font-weight: bold;
  font-family: "Oswald", sans-serif;
  background-color: #e6e6e6;
  padding: 15px;
}
#educ h3 {
  color: #43536d;
  padding-left: 30px;
}
#envi h3 {
  color: #6e5d24;
  text-align: left;
}
#psych h3 {
  color: #43536d;
  padding-left: 30px;
}

/*div box per research*/
#box {
  margin: 20px 130px;
  padding: 20px;
  border: 1px solid #d3d3d3;
  border-radius: 5px;
  background-color: #e2e8f1;
  box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.1);
}

#box a {
  font-family: "Oswald", sans-serif;
  font-size: 20px;
  color: #9b8334;
  font-weight: bold;
  text-decoration: none;
  line-height: -5px;
  display: block;
  text-align: justify;
}
#box a:hover {
  text-decoration: underline;
  color: #6e5d24;
  transition: 0.2s;
}
#box a:visited {
  color: #2b436d;
}
#box a:visited:hover {
  color: #152238;
}
#boxDetails {
  font-family: "Oswald", sans-serif;
  font-size: 16px;
  color: black;
}
#boxAbstract {
  font-family: "Karla", sans-serif;
  color: rgb(85, 85, 85);
  text-align: justify;
}

/*no results*/
#error h1 {
  font-family: "Oswald", sans-serif;
  font-size: 24px;
  color: #9b8334;
  font-weight: bold;
  text-decoration: none;
  line-height: -5px;
  text-align: center;
  margin-top: 30px;
  margin-bottom: 30px;
}

@media screen and (max-width: 600px) {
  #desc {
    margin: 20px 60px 0 60px;
  }

  .researches {
    margin: 20px 40px;
  }

  #box {
    margin: 20px 35px;
  }
}
